uk.ac.starlink.table.gui

## Class MapGroupTableModel<K,V>

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - uk.ac.starlink.table.gui.MapGroupTableModel<K,V>

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel

      public class MapGroupTableModel<K,V>
      extends javax.swing.table.AbstractTableModel

  Provides a `TableModel` view of a `MapGroup` object. For performance reasons this implementation takes a snapshot of the MapGroup at construction time rather than treating it as a live object.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapGroupTableModel(MapGroup<K,V> mapgroup)` Constructs a TableModel from a given MapGroup.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int icol)`
    `int` | `getRowCount()`
    `V` | `getValueAt(int irow, int icol)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapGroupTableModel

          public MapGroupTableModel(MapGroup<K,V> mapgroup)

      Constructs a TableModel from a given MapGroup.
      Parameters:
        `mapgroup` - group to snapshot

  - ### Method Detail

    - #### getRowCount

          public int getRowCount()

    - #### getColumnCount

          public int getColumnCount()

    - #### getValueAt

          public V getValueAt(int irow,
                              int icol)

    - #### getColumnName

          public java.lang.String getColumnName(int icol)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`